View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011403CMakeCMakepublic2010-11-04 15:482012-09-03 16:02
ReporterDavid Partyka 
Assigned ToDavid Cole 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionCMake-2-8 
Target VersionCMake 2.8.9Fixed in VersionCMake 2.8.9 
Summary0011403: ExternalProject GIT_TAG
DescriptionIf GIT_TAG is modified the entire source tree is removed and re-cloned causing a full rebuild of said project.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0012564closedDavid Cole Repeated git clones and build for external projects on Windows 

-  Notes
(0024475)
Ben Boeckel (developer)
2011-01-06 14:50

Not sure if I'll have time to get around to this before 2.8.4. It requires splitting up some steps within EPA to do an update separate from the download for source code repositories.
(0026918)
David Cole (manager)
2011-06-20 11:57

Unsetting target version field. Too close to releasing 2.8.5 to get this change in at this point. Deferred (again) until next time.
(0027995)
David Cole (manager)
2011-12-16 17:30

Unset target version field; too late for a fix to go into 2.8.7; deferred until a future version.
(0029345)
David Cole (manager)
2012-04-25 17:59

Fixed by commit pushed for related issue 0012564 - pushed to CMake 'next' just now:

  http://public.kitware.com/gitweb?p=cmake.git;a=commitdiff;h=987c017f6b1b49ab832c244166e30e07260432da [^]
(0030896)
David Cole (manager)
2012-09-03 16:02

Closing resolved issues that have not been updated in more than 4 months.

- Issue History
Date Modified Username Field Change
2010-11-04 15:48 David Partyka New Issue
2010-11-04 15:48 David Partyka Status new => assigned
2010-11-04 15:48 David Partyka Assigned To => David Cole
2010-11-04 16:36 David Cole Target Version => CMake 2.8.4
2010-12-08 13:49 Ben Boeckel Assigned To David Cole => Ben Boeckel
2011-01-06 14:50 Ben Boeckel Note Added: 0024475
2011-01-06 14:50 Ben Boeckel Target Version CMake 2.8.4 =>
2011-04-14 14:32 David Cole Assigned To Ben Boeckel => David Cole
2011-04-14 14:32 David Cole Target Version => CMake 2.8.5
2011-06-20 11:57 David Cole Note Added: 0026918
2011-06-20 11:57 David Cole Target Version CMake 2.8.5 =>
2011-10-25 23:16 David Cole Target Version => CMake 2.8.7
2011-12-16 17:30 David Cole Note Added: 0027995
2011-12-16 17:30 David Cole Target Version CMake 2.8.7 =>
2012-01-02 13:06 David Cole Target Version => CMake 2.8.8
2012-04-19 08:47 David Cole Target Version CMake 2.8.8 => CMake 2.8.9
2012-04-25 17:57 David Cole Relationship added related to 0012564
2012-04-25 17:59 David Cole Note Added: 0029345
2012-04-25 17:59 David Cole Status assigned => resolved
2012-04-25 17:59 David Cole Fixed in Version => CMake 2.8.9
2012-04-25 17:59 David Cole Resolution open => fixed
2012-09-03 16:02 David Cole Note Added: 0030896
2012-09-03 16:02 David Cole Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker